### Method

# FwupdPlugin Device get_internal_flags

since: 1.7.1

#### Declaration [src]

    FuDeviceInternalFlags
    fu_device_get_internal_flags (
      FuDevice* self
    )

#### Description [src]

Gets all the internal flags.

Available since: 1.7.1

Gets property | `FwupdPlugin.Device:internal-flags`

#### Return value

Type: `FuDeviceInternalFlags`

Flags, e.g. `FU_DEVICE_INTERNAL_FLAG_MD_SET_ICON`.